List Community Comments
curl --request GET \
--url https://schoolmaker.co/api/v1/community/posts/{post_id}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://schoolmaker.co/api/v1/community/posts/{post_id}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://schoolmaker.co/api/v1/community/posts/{post_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"comments": [
{
"id": "44444444-4444-4444-8444-444444444444",
"post_id": "22222222-2222-4222-8222-222222222222",
"parent_comment_id": null,
"reply_count": 0,
"author": {
"id": "11111111-1111-4111-8111-111111111111",
"type": "User",
"name": "Jamie Example",
"email": "jamie@example.com",
"first_name": "Jamie",
"last_name": "Example",
"profile_picture_url": null,
"last_seen_at": null,
"created_at": "2026-10-02T00:00:00Z",
"updated_at": "2026-10-02T00:00:00Z"
},
"body": "<p>Thanks for sharing!</p>",
"created_at": "2026-10-02T00:10:00Z"
}
],
"pagination": {
"current_page": 1,
"total_pages": 1,
"total_count": 1
}
}{
"error": "Access denied"
}{
"error": "You do not have permission to perform this action"
}{
"error": "Record not found"
}{
"error": "Invalid arguments"
}Community
List Community Comments
Retrieves comments from a community post. Supply parent_comment_id to retrieve replies to a comment.
GET
/
community
/
posts
/
{post_id}
/
comments
List Community Comments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Post ID.
Required string length:
1 - 255Query Parameters
Page number.
Required range:
1 <= x <= 10000Number of results per page. Maximum 30.
Required range:
1 <= x <= 30Optional top-level comment ID from this post, to list its replies.
Required string length:
1 - 255Comment order. Most popular uses reactions and replies. Latest activity uses recent activity. Replies remain oldest first for those two options.
Available options:
oldest, newest, most_popular, latest_activity Was this page helpful?